algo = @(alpha,gamma) @(Xtrain, ytrain, Xtest) algoDmitry(Xtrain, ytrain, Xtest, alpha, gamma);

rangeC = 0.2112*exp(log(2)*(-0.2:0.05:0.2));
rangeB = 0.0783*exp(log(2)*(-0.2:0.05:0.2));

res = [];
for alpha = rangeC
    for gamma = rangeB
        fprintf('alpha: %.4f\n',alpha);
        res = [res; alpha, gamma, CCV(algo(alpha,gamma),X,y,'one')];
    end
end

surf(rangeC,rangeB,reshape(res(:,3),size(rangeC,2),size(rangeB,2)));

clear algo rangeAlpha rangeGamma alpha gamma ans;